%define upstream_name    PerlX-Maybe
%define upstream_version 1.201

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Use syntax qw/maybe/
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PerlX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.610.0
BuildArch:  noarch

%description
Moose classes (and some other classes) distinguish between an attribute
being unset and the attribute being set to undef. Supplying a constructor
arguments like this:

 my $bob = Person->new(
    name => $name,
    age => $age,
 );

Will result in the 'name' and 'age' attributes possibly being set to undef
(if the corresponding '$name' and '$age' variables are not defined), which
may violate the Person class' type constraints.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.201.0-2.mga8
+ Revision: 1520501
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Nov 25 2018 tv <tv> 1.201.0-1.mga7
+ Revision: 1334549
- update to 1.201

* Wed Oct 10 2018 tv <tv> 1.200.0-1.mga7
+ Revision: 1319388
- update to 1.200

* Wed Sep 19 2018 umeabot <umeabot> 1.1.0-4.mga7
+ Revision: 1270516
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-3.mga6
+ Revision: 1032021
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 966297
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.1.0-1.mga6
+ Revision: 843474
- update to 1.001

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 746785
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 685967
- Mageia 5 Mass Rebuild

* Mon Dec 02 2013 shlomif <shlomif> 1.0.0-1.mga4
+ Revision: 554701
- imported package perl-PerlX-Maybe


* Mon Dec 02 2013 cpan2dist 1.000-1mga
- initial mageia release, generated with cpan2dist
